# NestedObject1

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Field1** | **string** | Specifies an action name to be used with the Android Intent class. | 

## Methods

### NewNestedObject1

`func NewNestedObject1(field1 string, ) *NestedObject1`

NewNestedObject1 instantiates a new NestedObject1 object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewNestedObject1WithDefaults

`func NewNestedObject1WithDefaults() *NestedObject1`

NewNestedObject1WithDefaults instantiates a new NestedObject1 object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetField1

`func (o *NestedObject1) GetField1() string`

GetField1 returns the Field1 field if non-nil, zero value otherwise.

### GetField1Ok

`func (o *NestedObject1) GetField1Ok() (*string, bool)`

GetField1Ok returns a tuple with the Field1 field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetField1

`func (o *NestedObject1) SetField1(v string)`

SetField1 sets Field1 field to given value.



[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


